## org.biojava.utils
Interface ParseErrorSource

All Known Implementing Classes:
  EmblLikeFormat, EmblProcessor, FastaFormat, GenbankFormat, GenbankProcessor, GenbankXmlFormat, GenpeptFormat, PhredFormat, ProteinRefSeqProcessor, SwissprotProcessor

    public interface ParseErrorSource

Source for a ParseErrorEvent. A ParseErrorEvent signals a problem parsing a file.

Author:
  Greg Cox
See Also:
  `ParseErrorEvent`

Method Summary
`void` `addParseErrorListener(ParseErrorListener theListener)` Adds a parse error listener to the list of listeners.
`void` `removeParseErrorListener(ParseErrorListener theListener)` Removes a parse error listener from the list of listeners.

Method Detail

### addParseErrorListener

    void addParseErrorListener(ParseErrorListener theListener)

  Adds a parse error listener to the list of listeners.

  Parameters:
    `theListener` - Listener to be added.

### removeParseErrorListener

    void removeParseErrorListener(ParseErrorListener theListener)

  Removes a parse error listener from the list of listeners.

  Parameters:
    `theListener` - Listener to be removed.